package be.iminds.ilabt.jfed.rspec.rspec_source;

import be.iminds.ilabt.jfed.rspec.model.ModelRspec;
import be.iminds.ilabt.jfed.rspec.model.ModelRspecType;
import be.iminds.ilabt.jfed.rspec.model.StringRspec;

import javax.annotation.Nonnull;

/**
 * RequestRspecSource
 */
public class RequestRspecSource extends RspecSource {

    public RequestRspecSource(@Nonnull StringRspec stringRspec) {
        super(stringRspec);
    }
    public RequestRspecSource(@Nonnull StringRspec stringRspec, @Nonnull ModelRspecType modelRspecType) {
        super(stringRspec, modelRspecType);
    }

    public RequestRspecSource(@Nonnull ModelRspec modelRspec) {
        super(modelRspec);
    }

    /** Determines automatically to use raw XML, or ModelRspec */
    public RequestRspecSource(@Nonnull String xmlRspecString, @Nonnull ModelRspecType modelRspecType) {
        super(xmlRspecString, modelRspecType);
    }


}
